Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 22 Jul 2022 10:21:22 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hi 
I had placed order for 2 pants and I was delivered 1 wrong item which was collected from me . I wanted same pants in exchange . I spoke to customer care 3 times and nobody helped till date . Why should I again pay for delivery which was no fault of mine . I ordered 30 waist chinos and I was sent 38 waist . I am really disappointed with Splash . https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4635296